# Type alias ReplaceTextModel

ReplaceTextModel: { fontInfo: { font: string; fontDescent: number; fontFamily: string | null; fontHeight: number; scale: number }; newText: string; selectedCoords: SelectedTextCoordinates; selectedText: string }

Data model for the ReplaceText feature.

#### Type declaration

- ##### fontInfo: { font: string; fontDescent: number; fontFamily: string | null; fontHeight: number; scale: number }

  Contains detailed information about font metrics and style.

  - ##### font: string

    Font name.

  - ##### fontDescent: number

    Font descent distance.

  - ##### fontFamily: string | null

    Font family.

  - ##### fontHeight: number

    Font height.

  - ##### scale: number

    Text scale.

- ##### newText: string

  The new text to be inserted.

- ##### selectedCoords: SelectedTextCoordinates

  Exact coordinates of the text to be replaced.

- ##### selectedText: string

  The text that will be replaced.